#!/usr/bin/ruby
$:.unshift('./lib')
require 'config'
require 'webrick'
require 'erb'
require 'controller'


include WEBrick
include ERB::Util

class InitController < Controller

	def initialize(server, *options)
		super
		@menu = TabMenu.new("init.menu")
	end

	def entry(req, res)
		set_view(req, res, "view/init.rhtml")
	end

	def select(req, res)
		ans = req.query["migration"]
		if ans == "yes" then
			system("cd tool ; ./install-ma")
			system("cd tool ; ./migration")
			set_view(req, res, "view/init_migrate.rhtml")
		else
			system("cd tool ; ./install-ma")
			set_view(req, res, "view/init_new.rhtml")
		end
	end
			
end
